ch.qos.logback.classic.gaffer

## Class ComponentDelegate

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.classic.gaffer.ComponentDelegate

All Implemented Interfaces:
  ContextAware, groovy.lang.GroovyObject

Direct Known Subclasses:
  AppenderDelegate

    public class ComponentDelegate
    extends ContextAwareBase
    implements groovy.lang.GroovyObject

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`ComponentDelegate(Object component)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `analyzeArgs(Object... args)`
`void` `cascadeFields(ComponentDelegate subDelegate)`
`Object` `getComponent()`
`String` `getComponentName()`
`List` `getFieldsToCascade()`
`String` `getLabel()`
`String` `getLabelFistLetterInUpperCase()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`void` `injectParent(Object subComponent)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `methodMissing(String name, Object args)`
`Class` `parseClassArgument(Object arg)`
`String` `parseNameArgument(Object arg)`
`void` `propertyMissing(String name, Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentDelegate

    public ComponentDelegate(Object component)

### Method Detail

#### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

Specified by:
  `getMetaClass` in interface `groovy.lang.GroovyObject`

#### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

Specified by:
  `setMetaClass` in interface `groovy.lang.GroovyObject`

#### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

Specified by:
  `invokeMethod` in interface `groovy.lang.GroovyObject`

#### getProperty

    public Object getProperty(String property)

Specified by:
  `getProperty` in interface `groovy.lang.GroovyObject`

#### setProperty

    public void setProperty(String property,
                            Object value)

Specified by:
  `setProperty` in interface `groovy.lang.GroovyObject`

#### getComponent

    public final Object getComponent()

#### getFieldsToCascade

    public final List getFieldsToCascade()

#### getLabel

    public String getLabel()

#### getLabelFistLetterInUpperCase

    public String getLabelFistLetterInUpperCase()

#### methodMissing

    public void methodMissing(String name,
                              Object args)

#### cascadeFields

    public void cascadeFields(ComponentDelegate subDelegate)

#### injectParent

    public void injectParent(Object subComponent)

#### propertyMissing

    public void propertyMissing(String name,
                                Object value)

#### analyzeArgs

    public Object analyzeArgs(Object... args)

#### parseClassArgument

    public Class parseClassArgument(Object arg)

#### parseNameArgument

    public String parseNameArgument(Object arg)

#### getComponentName

    public String getComponentName()